"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _rdsdataservice = _interopRequireDefault(require("aws-sdk/clients/rdsdataservice"));

var _readmodelBase = _interopRequireDefault(require("@resolve-js/readmodel-base"));

var _crypto = _interopRequireDefault(require("crypto"));

var _connect2 = _interopRequireDefault(require("./connect"));

var _coercer = _interopRequireDefault(require("./coercer"));

var _escapeId = _interopRequireDefault(require("./escape-id"));

var _escapeStr = _interopRequireDefault(require("./escape-str"));

var _dropReadModel = _interopRequireDefault(require("./drop-read-model"));

var _resubscribe = _interopRequireDefault(require("./resubscribe"));

var _unsubscribe = _interopRequireDefault(require("./unsubscribe"));

var _reset = _interopRequireDefault(require("./reset"));

var _pause = _interopRequireDefault(require("./pause"));

var _resume = _interopRequireDefault(require("./resume"));

var _status = _interopRequireDefault(require("./status"));

var _build = _interopRequireDefault(require("./build"));

var _isHighloadError = _interopRequireDefault(require("./is-highload-error"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const defineTable = async (...args) => {
  return;
};

const find = async (...args) => {
  return [];
};

const findOne = async (...args) => {
  return null;
};

const count = async (...args) => {
  return 0;
};

const insert = async (...args) => {
  return;
};

const update = async (...args) => {
  return;
};

const del = async (...args) => {
  return;
};

const store = {
  defineTable,
  find,
  findOne,
  count,
  insert,
  update,
  delete: del
};
const internalMethods = {
  coercer: _coercer.default,
  isHighloadError: _isHighloadError.default,
  dropReadModel: _dropReadModel.default,
  escapeId: _escapeId.default,
  escapeStr: _escapeStr.default
};

const subscribe = async (...args) => {
  return;
};

const externalMethods = {
  subscribe,
  resubscribe: _resubscribe.default,
  unsubscribe: _unsubscribe.default,
  resume: _resume.default,
  pause: _pause.default,
  reset: _reset.default,
  status: _status.default,
  build: _build.default
};

const connect = _connect2.default.bind(null, {
  RDSDataService: _rdsdataservice.default,
  crypto: _crypto.default,
  ...internalMethods,
  ...externalMethods,
  ...store
}); //eslint-disable-next-line @typescript-eslint/no-empty-function


const disconnect = async () => {};

const implementation = { ...store,
  ...externalMethods,
  connect,
  disconnect
};

const createAdapter = _readmodelBase.default.bind(null, implementation);

var _default = createAdapter;
exports.default = _default;
//# sourceMappingURL=index.js.map